/***************************************************************************
                          editdlg.cpp  -  description
                             -------------------
    begin                : Tue Jul 24 2001
    copyright            : (C) 2001 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include <qtextstream.h>
#include <keditcl.h>
#include <klocale.h>
#include "editdlg.h"

EditDlg::EditDlg(QWidget* _parent, QString* _s) :
 KDialogBase(Plain, i18n("Edit"), Ok | Apply | Cancel, Ok, _parent, 0,
             true, true), s(_s)
{
  resize(260, 260);
  QFrame* frame = plainPage();
  QVBoxLayout* vbox = new QVBoxLayout(frame, 0, spacingHint());
  vbox->addWidget(edit = new KEdit(frame));
  QTextStream t(s, IO_ReadOnly);
  edit->insertText(&t);
}

EditDlg::~EditDlg()
{
}

void EditDlg::getText()
{
  *s = "";
  QTextStream t(s, IO_WriteOnly);
  edit->saveText(&t);
}

void EditDlg::slotOk()
{
  getText();
  accept();
}

void EditDlg::slotApply()
{
  getText();
  emit applyClicked();
}
